import {HttpClient} from "@angular/common/http";
import {Injectable} from "@angular/core";
import {Observable} from "rxjs/Observable";
import {AppGlobal} from "../../../service/http.service";
import {CommonService} from "../../../provide/common.service";

@Injectable()
export class LearnManageService{

    constructor(private http:HttpClient,private commonSer:CommonService){}

    //批阅列表
    getLearnTestList(data): Observable<any>{
        return this.http.post(AppGlobal.domain+'/wisdomgroup//modules/testManage/getLearnTestList',this.commonSer.toFormData(data))
    }

    getDetail(data): Observable<any>{
        return this.http.post(AppGlobal.domain+'/wisdomgroup//modules/testManage/getDetail',this.commonSer.toFormData(data))
    }
}